# Method ADT.Heap()->adjust()

Method adjust

  `Element adjust(mixed value)`

Description

  Takes a value in the heap and sorts it through the heap to maintain its sort criteria (increasing order).

Parameter `value`

  Either the element handle returned by push(), or the pushed value itself.

Returns

  Returns the element handle for the value (if present in the heap), and `0` (zero) otherwise.